Bug 823078 - Add a script to normalize DASD arguments for a dasd.conf
Add a script to normalize DASD arguments for a dasd.conf
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: s390utils (Show other bugs)
rawhide
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 819493
  Show dependency treegraph
 
Reported: 2012-05-18 18:17 EDT by Jesse Keating
Modified: 2013-01-09 22:35 EST (History)
2 users (show)

See Also:
Fixed In Version: s390utils-1.16.0-8.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-23 02:38:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
normalize_dasd_arg (4.52 KB, text/plain)
2012-05-18 18:27 EDT, Jesse Keating
no flags Details

  None (edit)
Description Jesse Keating 2012-05-18 18:17:03 EDT
DASD arguments can come from either a CMSCONFFILE line (DASD=) or from kernel arguments parsed by dracut (rd.dasd= rd_DASD= DASD=).  In all cases, what's passed could be a single device, a range, a comma separated combination of both, with optional attributes in parens.  The device listing could be a full device number (X.X.XXXX) or truncated to the last for (XXXX), or even the last three (XXX).

This content needs to be parsed and normalized into full device strings, with options added.  I've written a simple shell script that will take as standard input the DASD argument value and returns as standard output proper format for /etc/dasd.conf

I've attached the code here, as I'm unsure of the process to get it upstream into s390-tools.

This will be used by Dracut modules as part of system bring up for s390x.
Comment 1 Jesse Keating 2012-05-18 18:27:15 EDT
Created attachment 585515 [details]
normalize_dasd_arg
Comment 2 Dan Horák 2012-05-19 12:33:55 EDT
/etc/{dasd,zfcp}.conf is Red Hat/Fedora way of maintaining persistent storage configuration. IBM works on a new way that would be part of s390-tools and will be used by all distros. All the "local" stuff is collected and tracked at http://fedorapeople.org/gitweb?p=sharkcz/public_git/utils.git;a=summary and I will add it there.
Comment 3 Jesse Keating 2012-05-23 00:51:24 EDT
Can we get this build soon?  It's necessary for an upcoming deadline.

Note You need to log in before you can comment on or make changes to this bug.